Package org.apache.solr.common.util

## Class XML

- java.lang.Object
- - org.apache.solr.common.util.XML

    public class XML
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `XML.Writable`

### Constructor Summary

Constructors
`XML()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `escapeAttributeValue​(char[] chars, int start, int length, Writer out)`
`static void` `escapeAttributeValue​(String str, Writer out)`
`static void` `escapeCharData​(String str, Writer out)`
`static void` `writeUnescapedXML​(Writer out, String tag, String val, Object... attrs)` does NOT escape character data in val; it must already be valid XML.
`static void` `writeXML​(Writer out, String tag, String val, Object... attrs)` escapes character data in val and attributes
`static void` `writeXML​(Writer out, String tag, String val, Map<String,​String> attrs)` escapes character data in val and attributes
`static void` `writeXML​(Writer out, String tag, XML.Writable valWritable, Object... attrs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XML

    public XML()

### Method Detail

#### escapeCharData

    public static void escapeCharData​(String str,
                                      Writer out)
                               throws IOException

Throws:
  `IOException`

#### escapeAttributeValue

    public static void escapeAttributeValue​(String str,
                                            Writer out)
                                     throws IOException

Throws:
  `IOException`

#### escapeAttributeValue

    public static void escapeAttributeValue​(char[] chars,
                                            int start,
                                            int length,
                                            Writer out)
                                     throws IOException

Throws:
  `IOException`

#### writeUnescapedXML

    public static final void writeUnescapedXML​(Writer out,
                                               String tag,
                                               String val,
                                               Object... attrs)
                                        throws IOException

does NOT escape character data in val; it must already be valid XML. Attributes are always escaped.

Throws:
  `IOException`

#### writeXML

    public static final void writeXML​(Writer out,
                                      String tag,
                                      String val,
                                      Object... attrs)
                               throws IOException

escapes character data in val and attributes

Throws:
  `IOException`

#### writeXML

    public static void writeXML​(Writer out,
                                String tag,
                                String val,
                                Map<String,​String> attrs)
                         throws IOException

escapes character data in val and attributes

Throws:
  `IOException`

#### writeXML

    public static final void writeXML​(Writer out,
                                      String tag,
                                      XML.Writable valWritable,
                                      Object... attrs)
                               throws IOException

Throws:
  `IOException`
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.